VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "ErrorHandler"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = True
Option Explicit

' IVBSaxErrorHandler wrapper class for use with C/SIDE
' Copyright  2002 Microsoft Business Solutions

Implements IVBSAXErrorHandler

Private Const MAXLEN = 1024

Public Event OnError(ColumnNo As Long, LineNo As Long, PublicID As String, SystemID As String, ErrorStr As String, ErrorCode As Long)
Public Event OnFatalError(ColumnNo As Long, LineNo As Long, PublicID As String, SystemID As String, ErrorStr As String, ErrorCode As Long)
Public Event OnIgnorableWarning(ColumnNo As Long, LineNo As Long, PublicID As String, SystemID As String, ErrorStr As String, ErrorCode As Long)

Private Sub IVBSAXErrorHandler_error(ByVal oLocator As MSXML2.IVBSAXLocator, strErrorMessage As String, ByVal nErrorCode As Long)
  RaiseEvent OnError( _
    oLocator.columnNumber, _
    oLocator.lineNumber, _
    Left(oLocator.PublicID, MAXLEN), _
    Left(oLocator.SystemID, MAXLEN), _
    strErrorMessage, _
    nErrorCode)
End Sub

Private Sub IVBSAXErrorHandler_fatalError(ByVal oLocator As MSXML2.IVBSAXLocator, strErrorMessage As String, ByVal nErrorCode As Long)
  RaiseEvent OnFatalError( _
    oLocator.columnNumber, _
    oLocator.lineNumber, _
    Left(oLocator.PublicID, MAXLEN), _
    Left(oLocator.SystemID, MAXLEN), _
    strErrorMessage, _
    nErrorCode)
End Sub

Private Sub IVBSAXErrorHandler_ignorableWarning(ByVal oLocator As MSXML2.IVBSAXLocator, strErrorMessage As String, ByVal nErrorCode As Long)
  RaiseEvent OnIgnorableWarning( _
    oLocator.columnNumber, _
    oLocator.lineNumber, _
    Left(oLocator.PublicID, MAXLEN), _
    Left(oLocator.SystemID, MAXLEN), _
    strErrorMessage, _
    nErrorCode)
End Sub
